Verify and Install LabVIEW Run-Time Engine on TPC-2230

Updated May 17, 2018

Reported In

Hardware

  • TPC-2230

Software

  • LabVIEW

Other

  • Remote Development Target Support

Issue Details

I cannot connect to the TPC-2230 in a LabVIEW project from my development PC, although I can discover the target using the Add Targets and Devices dialog box.  I have also made sure that I have the Remote Development Target Support installed on my development PC.  In the readme of the Remote Development Target Support, I see that I need to make sure the bitness of the LabVIEW Run-Time Engine on the target matches the version and bitness of the LabVIEW Development System on the host computer.  How can I verify my LabVIEW Run-Time Engine version and install the correct version as needed?

Solution

Check the version of LabVIEW Run-Time Engine installed on the TPC:

  1. Launch NI Max on your TPC.
  2. Select My System in the configuration tree.
  3. In the Remote Development Settings section of the System Configuration page, refer to the Run-Time Engine Version.  Make sure that the version showing up here matches the version and bitness of LabVIEW you are wanting to use on your host computer to communicate with the TPC
  4. If the versions are different between the TPC and your host computer, proceed to the next section on installing a LabVIEW Run-Time Engine on the TPC.
 

Install LabVIEW Run-Time Engine on the TPC:

  1. Download Remote Development Target Support that corresponds to the version of LabVIEW you are using on your host PC.  (For example, if you are using LabVIEW 2017, then you will need to download LabVIEW 2017 Remote Development Target Support.)
  2. Transfer the Remote Development Target Support installer to the TPC if you did not download the Remote Development Target Support installer directly onto the TPC.
  3. Run the Remote Development Target Support installer on the TPC and it should install the LabVIEW Run-Time Engine that corresponds to the version of the Remote Development Target Support installer. 

Additional Information

TPC-2230 was supported starting in LabVIEW 2015.  So, you will not be able to use the TPC-2230 in LabVIEW 2014 or earlier.

WAS THIS ARTICLE HELPFUL?

Not Helpful